set(CMAKE_SYSTEM_NAME Generic)
set(CMAKE_SYSTEM_PROCESSOR arm)

set(CROSS_COMPILE arm-none-eabi-)

set(CMAKE_C_COMPILER ${CROSS_COMPILE}gcc)
set(CMAKE_CXX_COMPILER ${CROSS_COMPILE}g++)
set(CMAKE_OBJECT_COPY ${CROSS_COMPILE}objcopy)
set(CMAKE_OBJECT_SIZE ${CROSS_COMPILE}size)

set(CMAKE_FIND_ROOT_PATH /usr/local/arm-none-eabi/)

set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_PACKAGE ONLY)


set(CMAKE_TRY_COMPILE_TARGET_TYPE STATIC_LIBRARY)

set(MPU_FLAGS -mthumb -march=armv7e-m)
set(VFP_FLAGS -mfloat-abi=hard -mfpu=fpv4-sp-d16)
set(SDK_FLAGS -D__NEWLIB__ -D__USE_CMSIS -DDEBUG -DFSL_RTOS_BM -DSDK_OS_BAREMETAL -DSDK_OS_FREE_RTOS -DFSL_RTOS_FREE_RTOS -DCPU_MK66FX1M0VMD18 -DCPU_MK66FX1M0VMD18_cm4 -DUSE_RTOS=1)
set(COMMON_FLAGS -fno-common -fno-builtin -ffunction-sections -fdata-sections)
